#include <qpushbutton.h>
#include <qlayout.h>

#include "mdiframeworkview.h"

MDIFrameWorkView::MDIFrameWorkView(QWidget *parent, MDIFrameWorkDoc *doc, QString title) : QextMdiChildView( title, parent)
   ,tew(0L)
{
   QVBoxLayout* vb = new QVBoxLayout(this);
   setFocusPolicy(QWidget::NoFocus);	

   tew = new QMultiLineEdit( this, "edit_widget");
   tew->setText(tr("This is a QLineEdit widget within a QextMDI view.\n\n") +
                tr("You can also load any text file in a new view by using 'FileOpen'\n") +
                tr("but this example is not able to save changes to file."));
   vb->addWidget(tew);

   QHBoxLayout* hb = new QHBoxLayout(vb);
   QPushButton *b1 = new QPushButton( "Test 1", this, "button_test1");
   b1->setFocusPolicy(StrongFocus);
   hb->addWidget(b1);
   QPushButton *b2 = new QPushButton( "Test 2", this, "button_test2");
   b2->setFocusPolicy(NoFocus);
   hb->addWidget(b2);

   /** connect doc with the view*/
   QObject::connect(doc, SIGNAL(documentChanged()), this, SLOT(slotDocumentChanged()));

//test it:  setFixedHeight(200);
//test it:  setMaximumWidth(500);
}

MDIFrameWorkView::~MDIFrameWorkView()
{
}

void MDIFrameWorkView::slotDocumentChanged()
{
   //TODO update the view

}
